summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x.local/bin/statusbar/disk20
1 files changed, 12 insertions, 8 deletions
diff --git a/.local/bin/statusbar/disk b/.local/bin/statusbar/disk
index 2ca8805..269eba7 100755
--- a/.local/bin/statusbar/disk
+++ b/.local/bin/statusbar/disk
@@ -1,18 +1,22 @@
#!/bin/sh
# Status bar module for disk space
-# $1 should be drive mountpoint
-# $2 is optional icon, otherwise mountpoint will displayed
+# $1 should be drive mountpoint, otherwise assumed /.
-[ -z "$1" ] && exit
+location=${1:-/}
-icon="$2"
-[ -z "$2" ] && icon="$1"
+[ -d "$location" ] || exit
case $BLOCK_BUTTON in
- 1) pgrep -x dunst >/dev/null && notify-send "💽 Disk space" "$(df -h --output=target,used,size)" ;;
- 3) pgrep -x dunst >/dev/null && notify-send "💽 Disk module" "\- Shows used hard drive space.
+ 1) notify-send "💽 Disk space" "$(df -h --output=target,used,size)" ;;
+ 3) notify-send "💽 Disk module" "\- Shows used hard drive space.
- Click to show all disk info." ;;
esac
-printf "%s: %s\n" "$icon" "$(df -h "$1" | awk ' /[0-9]/ {print $3 "/" $2}')"
+case "$location" in
+ "/home"* ) icon="🏠" ;;
+ "/mnt"* ) icon="💾" ;;
+ *) icon="🖥 ";;
+esac
+
+printf "%s: %s\n" "$icon" "$(df -h "$location" | awk ' /[0-9]/ {print $3 "/" $2}')"